Parameter Manager API

Parameter Manager is a single source of truth to store, access and manage the lifecycle of your workload parameters. Parameter Manager aims to make management of sensitive application parameters effortless for customers without diminishing focus on security.

Service: parametermanager.googleapis.com

To call this service, we recommend that you use the Google-provided client libraries. If your application needs to use your own libraries to call this service, use the following information when you make the API requests.

Discovery document

A Discovery Document is a machine-readable specification for describing and consuming REST APIs. It is used to build client libraries, IDE plugins, and other tools that interact with Google APIs. One service may provide multiple discovery documents. This service provides the following discovery document:

Service endpoint

A service endpoint is a base URL that specifies the network address of an API service. One service might have multiple service endpoints. This service has the following service endpoint and all URIs below are relative to this service endpoint:

  • https://parametermanager.googleapis.com

Regional service endpoint

A regional service endpoint is a base URL that specifies the network address of an API service in a single region. A service that is available in multiple regions might have multiple regional endpoints. Select a location to see its regional service endpoint for this service.


  • https://parametermanager.googleapis.com
  • REST Resource: v1.projects.locations

    Methods
    get GET /v1/{name=projects/*/locations/*}
    Gets information about a location.
    list GET /v1/{name=projects/*}/locations
    Lists information about the supported locations for this service.

    REST Resource: v1.projects.locations.parameters

    Methods
    create POST /v1/{parent=projects/*/locations/*}/parameters
    Creates a new Parameter in a given project and location.
    delete DELETE /v1/{name=projects/*/locations/*/parameters/*}
    Deletes a single Parameter.
    get GET /v1/{name=projects/*/locations/*/parameters/*}
    Gets details of a single Parameter.
    list GET /v1/{parent=projects/*/locations/*}/parameters
    Lists Parameters in a given project and location.
    patch PATCH /v1/{parameter.name=projects/*/locations/*/parameters/*}
    Updates a single Parameter.

    REST Resource: v1.projects.locations.parameters.versions

    Methods
    create POST /v1/{parent=projects/*/locations/*/parameters/*}/versions
    Creates a new ParameterVersion in a given project, location, and parameter.
    delete DELETE /v1/{name=projects/*/locations/*/parameters/*/versions/*}
    Deletes a single ParameterVersion.
    get GET /v1/{name=projects/*/locations/*/parameters/*/versions/*}
    Gets details of a single ParameterVersion.
    list GET /v1/{parent=projects/*/locations/*/parameters/*}/versions
    Lists ParameterVersions in a given project, location, and parameter.
    patch PATCH /v1/{parameterVersion.name=projects/*/locations/*/parameters/*/versions/*}
    Updates a single ParameterVersion.
    render GET /v1/{name=projects/*/locations/*/parameters/*/versions/*}:render
    Gets rendered version of a ParameterVersion.